SubmittedFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum SubmittedFields

    java.lang.Object
      java.lang.Enum<SubmittedFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.SubmittedFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SubmittedFields>

    public enum SubmittedFields

extends java.lang.Enum<SubmittedFields>

Enum Constant Summary
`author`
`endtime`
`filesetid`
`forceregeneration`
`gisenabled`
`gispublishedid`
`isaquamap`
`iscustomized`
`jobid`
`saved`
`searchid`
`selectioncriteria`
`serializedobject`
`serializedrequest`
`sourcehcaf`
`sourcehspec`
`sourcehspen`
`speciescoverage`
`starttime`
`status`
`submissiontime`
`title`
`todelete`
`type`

Method Summary
`static SubmittedFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SubmittedFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### title

    public static final SubmittedFields title

### author

    public static final SubmittedFields author

### jobid

    public static final SubmittedFields jobid

### selectioncriteria

    public static final SubmittedFields selectioncriteria

### status

    public static final SubmittedFields status

### searchid

    public static final SubmittedFields searchid

### type

    public static final SubmittedFields type

### isaquamap

    public static final SubmittedFields isaquamap

### saved

    public static final SubmittedFields saved

### sourcehcaf

    public static final SubmittedFields sourcehcaf

### sourcehspec

    public static final SubmittedFields sourcehspec

### sourcehspen

    public static final SubmittedFields sourcehspen

### gisenabled

    public static final SubmittedFields gisenabled

### gispublishedid

    public static final SubmittedFields gispublishedid

### starttime

    public static final SubmittedFields starttime

### endtime

    public static final SubmittedFields endtime

### submissiontime

    public static final SubmittedFields submissiontime

### serializedrequest

    public static final SubmittedFields serializedrequest

### speciescoverage

    public static final SubmittedFields speciescoverage

### iscustomized

    public static final SubmittedFields iscustomized

### filesetid

    public static final SubmittedFields filesetid

### todelete

    public static final SubmittedFields todelete

### serializedobject

    public static final SubmittedFields serializedobject

### forceregeneration

    public static final SubmittedFields forceregeneration

Method Detail

### values

    public static SubmittedFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SubmittedFields c : SubmittedFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SubmittedFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD